version: "3"

networks:
  petio-network:
    driver: bridge

services:
  petio:
    image: ghcr.io/petio-team/petio:latest
    container_name: "petio"
    hostname: petio
    ports:
      - "7777:7777"
    networks:
      - petio-network
    depends_on:
      - mongo
    user: "1026:100"
    environment:
      - TZ=Europe/Madrid
    volumes:
      - ./config:/app/api/config
      - ./logs:/app/logs

  mongo:
    image: mongo:4.4.6
    container_name: "mongo"
    hostname: mongo
    ports:
      - "27017:27017"
    networks:
      - petio-network
    user: "1026:100"
    volumes:
      - ./db:/data/db
